Package org.gdal.gdal

## Class ExtendedDataType

- java.lang.Object
- - org.gdal.gdal.ExtendedDataType

-     public class ExtendedDataType
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `CanConvertTo​(ExtendedDataType other)` |
    `static ExtendedDataType` | `Create​(int dt)` |
    `static ExtendedDataType` | `CreateString​()` |
    `static ExtendedDataType` | `CreateString​(long nMaxStringLength)` |
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `Equals​(ExtendedDataType other)` |
    `ExtendedDataTypeClass` | `GetClass​()` |
    `long` | `GetMaxStringLength​()` |
    `java.lang.String` | `GetName​()` |
    `int` | `GetNumericDataType​()` |
    `long` | `GetSize​()` |
    `int` | `hashCode​()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### Create

          public static ExtendedDataType Create​(int dt)

    - #### CreateString

          public static ExtendedDataType CreateString​(long nMaxStringLength)

    - #### CreateString

          public static ExtendedDataType CreateString​()

    - #### GetName

          public java.lang.String GetName​()

    - #### GetClass

          public ExtendedDataTypeClass GetClass​()

    - #### GetNumericDataType

          public int GetNumericDataType​()

    - #### GetSize

          public long GetSize​()

    - #### GetMaxStringLength

          public long GetMaxStringLength​()

    - #### CanConvertTo

          public boolean CanConvertTo​(ExtendedDataType other)

    - #### Equals

          public boolean Equals​(ExtendedDataType other)